package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.exception.TranFailException;
import java.util.HashMap;
import java.util.Map;
import org.apache.commons.lang.StringUtils;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/GetNewReqStatusAction.class */
public class GetNewReqStatusAction extends LifeAction {
    public String execute(Context context) throws GENEException {
        try {
            IndexedCollection financeFlowIcoll = context.getDataElement("financeFlowListTemp");
            String currentReqStt = (String) context.getDataValue("reqStt");
            if (!"50".equals(currentReqStt) && !"03".equals(currentReqStt)) {
                String str = (String) context.getDataValue("reqLoanStt");
                String reqLoanApplyStt = (String) context.getDataValue("reqLoanApplyStt");
                String reqAfterLoanStt = (String) context.getDataValue("reqAfterLoanStt");
                String reqRepayStt = (String) context.getDataValue("reqRepayStt");
                if (StringUtils.isNotBlank(reqRepayStt) && Integer.parseInt(reqRepayStt) > 0) {
                    currentReqStt = "60";
                } else if (StringUtils.isNotBlank(reqLoanApplyStt) && Integer.parseInt(reqLoanApplyStt) > 0) {
                    int reqmentSttValue = Integer.parseInt(getReqSttMap().get("40"));
                    currentReqStt = Integer.parseInt(getReqSttMap().get(currentReqStt)) > reqmentSttValue ? String.valueOf(currentReqStt) : String.valueOf("40");
                } else if (StringUtils.isNotBlank(str) && Integer.parseInt(str) > 0) {
                    int reqmentSttValue2 = Integer.parseInt(getReqSttMap().get("40"));
                    currentReqStt = Integer.parseInt(getReqSttMap().get(currentReqStt)) > reqmentSttValue2 ? String.valueOf(currentReqStt) : String.valueOf("40");
                } else if (StringUtils.isNotBlank(reqAfterLoanStt) && Integer.parseInt(reqAfterLoanStt) > 0) {
                    int reqmentSttValue3 = Integer.parseInt(getReqSttMap().get("40"));
                    currentReqStt = Integer.parseInt(getReqSttMap().get(currentReqStt)) > reqmentSttValue3 ? String.valueOf(currentReqStt) : String.valueOf("40");
                } else if (financeFlowIcoll.size() > 0) {
                    String userId = (String) context.getDataValue("userId");
                    for (int i = 0; i < financeFlowIcoll.size(); i++) {
                        KeyedCollection kColl = (KeyedCollection) financeFlowIcoll.get(i);
                        String userIdTemp = (String) kColl.get("userIdTemp");
                        String flowSttTemp = (String) kColl.get("flowSttTemp");
                        String opSttTemp = (String) kColl.get("opSttTemp");
                        if (!StringUtils.equals(userIdTemp, userId)) {
                            if (StringUtils.equals(flowSttTemp, "3") && (StringUtils.equals(opSttTemp, "30") || StringUtils.equals(opSttTemp, "301") || StringUtils.equals(opSttTemp, "303") || StringUtils.equals(opSttTemp, "304") || StringUtils.equals(opSttTemp, "306"))) {
                                int reqmentSttValue4 = Integer.parseInt(getReqSttMap().get("30"));
                                currentReqStt = Integer.parseInt(getReqSttMap().get(currentReqStt)) > reqmentSttValue4 ? String.valueOf(currentReqStt) : String.valueOf("30");
                            } else if (StringUtils.equals(flowSttTemp, "2") && (StringUtils.equals(opSttTemp, "20") || StringUtils.equals(opSttTemp, "21"))) {
                                int reqmentSttValue5 = Integer.parseInt(getReqSttMap().get("20"));
                                if (Integer.parseInt(getReqSttMap().get(currentReqStt)) > reqmentSttValue5) {
                                    currentReqStt = String.valueOf(currentReqStt);
                                } else {
                                    currentReqStt = String.valueOf("20");
                                }
                            } else if (StringUtils.equals(flowSttTemp, "1") && StringUtils.equals(opSttTemp, "10")) {
                                int reqmentSttValue6 = Integer.parseInt(getReqSttMap().get("10"));
                                if (Integer.parseInt(getReqSttMap().get(currentReqStt)) > reqmentSttValue6) {
                                    currentReqStt = String.valueOf(currentReqStt);
                                } else {
                                    currentReqStt = String.valueOf("10");
                                }
                            }
                        }
                    }
                }
            }
            context.setDataValue("reqStt", String.valueOf(currentReqStt));
            return "0";
        } catch (Exception e) {
            context.printStackTrace();
            throw new TranFailException("RZPT0201", "计算企业需求状态出错");
        }
    }

    public Map<String, String> getReqSttMap() {
        Map<String, String> map = new HashMap<>();
        String reqSttStr = LifeStandard.getBankSettingsValue("reqSttList");
        System.out.println(reqSttStr);
        String[] sttArray = reqSttStr.split("\\|");
        for (int i = 0; i < sttArray.length; i++) {
            map.put(sttArray[i], String.valueOf(i));
        }
        return map;
    }
}
